Package ghidra.app.plugin.assembler

# Record Class AssemblySelector.Selection

java.lang.Object
java.lang.Record
ghidra.app.plugin.assembler.AssemblySelector.Selection

Record Components:
  `ins` - the resolved instructions bytes, ideally with a full mask
  `ctx` - the resolved context bytes for compatibility checks

Enclosing class:
  `AssemblySelector`

public static record AssemblySelector.Selection(AssemblyPatternBlock ins, AssemblyPatternBlock ctx) extends Record
A resolved selection from the results given to `AssemblySelector.select(AssemblyResolutionResults, AssemblyPatternBlock)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Selection(AssemblyPatternBlock ins, AssemblyPatternBlock ctx)`
  Creates an instance of a `Selection` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssemblyPatternBlock`
  `ctx()`
  Returns the value of the `ctx` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `AssemblyPatternBlock`
  `ins()`
  Returns the value of the `ins` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Selection

    public Selection(AssemblyPatternBlock ins, AssemblyPatternBlock ctx)
    Creates an instance of a `Selection` record class.
    Parameters:
      `ins` - the value for the `ins` record component
      `ctx` - the value for the `ctx` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### ins

    public AssemblyPatternBlock ins()
    Returns the value of the `ins` record component.
    Returns:
      the value of the `ins` record component

  - ### ctx

    public AssemblyPatternBlock ctx()
    Returns the value of the `ctx` record component.
    Returns:
      the value of the `ctx` record component